Bug 238960 - (CVE-2007-1861) CVE-2007-1861 infinite recursion in netlink
CVE-2007-1861 infinite recursion in netlink
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
  Show dependency treegraph
Reported: 2007-05-04 03:47 EDT by Marcel Holtmann
Modified: 2016-07-06 19:43 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-16 14:57:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-05-04 03:47:54 EDT
From Jaco Kroon:

I've got a piece of code that seems to reliably cause the kernel to panic, looks
like a problem somewhere down the netlink core. I've been trying to use
NETLINK_FIB_LOOKUP but so far the closest I've come to success was a kernel crash.
Comment 1 Don Howard 2007-05-07 13:14:42 EDT
A patch for this issue has been included in build 2.6.18-8.1.4.el5.
Comment 3 Mike Gahagan 2007-05-11 11:07:06 EDT
verified using the testcase from bz237913
Comment 5 Red Hat Bugzilla 2007-05-16 14:57:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.